<template>
  <div class="balloon">
    <div class="balloon-top">
      <div class="sellerAvailability">
        <AppSellerPrice
          :discount="entity.discountCheck"
          :price="entity.price"
          :old-price="entity.oldPrice"/>
        <AppSellerQuantity
          v-if="entity.sellerQuantity"
          :in-stock="entity.inStock"
          :quantity="entity.quantity"
          :under-order="entity.deliveryString"/>
      </div>
    </div>
    <div class="balloon-body">
      <div class="sellerBasic">
        <div class="sellerBasic-item">
          <!-- @TODO компонент AppRating работает через <no-ssr>, сделать единый компонент без него -->
          <star-rating
            :rating="entity.avgRating || 0"
            :increment="1"
            :max-rating="5"
            :read-only="true"
            :show-rating=false
            inactive-color="#DEDEDE"
            active-color="#FFD068"
            :star-size="10"
            :padding="4"
            :rounded-corners="false"
            :star-points="[25,0, 17,17, 0,20, 13,32, 10,50, 25,42, 40,50, 37,32, 50,20, 33,17]"/>
          <span class="sellerBasic-reviews">
            <template v-if="entity.feedbackCount">
              {{ entity.feedbackCount }}
              {{ entity.feedbackCount | transChoose(['отзыв', 'отзыва', 'отзывов']) }}
            </template>
          </span>
        </div>
        <div class="sellerBasic-item">
          <span
            :href="`/seller/${entity.sellerURL}`"
            target="_blank"
            class="sellerBasic-name">
            <img
              v-if="entity.contactIsConfirmed"
              svg-inline
              src="~/assets/svg/redesign/ok-small-blue.svg">
            <span>
              {{ entity.shopName }}
            </span>
          </span>
        </div>

        <div class="sellerBasic-address">
          <span class="__medium">{{ entity.cityName }}</span>,
          {{ getAddressByPart(entity) }}
        </div>

        <div
          v-if="entity.scheduleDayIsSet"
          class="sellerBasic-item scheduleStatus">
          <ScheduleOpenedNow :part="entity.schedule"/>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import AppSellerPrice from '~/components/redesign/seller/app-seller-price';
import AppSellerQuantity from '~/components/redesign/seller/app-seller-quantity';
import ScheduleOpenedNow from '~/components/blocks/schedule-opened-now';
import AppButton from '~/components/redesign/app-buttons/app-button';
import StarRating from 'vue-star-rating';

export default {
  name: 'AppMapBalloon',
  components: {
    AppSellerQuantity,
    AppSellerPrice,
    ScheduleOpenedNow,
    AppButton,
    StarRating,
  },
  props: {
    entity: {
      type: Object,
      default() { return {}; },
    },
  },
  methods: {
    getAddressByPart(part) {
      const result = [];

      if (part.isNetShop) {
        result.push('интернет магазин');
      } else {
        if (part.street) {
          result.push(part.street);
        }
        if (part.building) {
          result.push(part.building);
        }
        if (part.office) {
          result.push(`офис ${part.office}`);
        }
      }
      return result.join(', ');
    },
  },
};
</script>
